[project]
name = "ims-api-permission"
version = "0.1.0"
description = "API Permissions management app for IMS."
authors = [
    {name = "Alpha Fork Technologies", email = "connect@alphafork.com"},
]
requires-python = ">=3.10"
readme = "README.md"
license = {text = "AGPL-3.0-or-later"}

[project.optional-dependencies]
dev = [
    "pre-commit>=3.1.1",
    "python-semantic-release==7.28.0",
]

[build-system]
requires = ["pdm-pep517>=1.0"]
build-backend = "pdm.pep517.api"

[tool.semantic_release]
branch = "main"
version_toml = "pyproject.toml:project.version"
major_on_zero = false
commit_subject = "v{version}"
commit_message = "Bump version to v{version}"
commit_author = "Alpha Fork Technologies <connect@alphafork.com>"

[tool.pdm]
